This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### PGraphics
Examples |
    PGraphics pg;

    void setup() {
      size(100, 100);
      pg = createGraphics(40, 40);
    }

    void draw() {
      pg.beginDraw();
      pg.background(100);
      pg.stroke(255);
      pg.line(20, 20, mouseX, mouseY);
      pg.endDraw();
      image(pg, 9, 30);
      image(pg, 51, 30);
    }
Description | Main graphics and rendering context, as well as the base API implementation for processing "core". Use this class if you need to draw into an off-screen graphics buffer. A PGraphics object can be constructed with the createGraphics() function. The beginDraw() and endDraw() methods (see above example) are necessary to set up the buffer and to finalize it. The fields and methods for this class are extensive. For a complete list, visit the developer's reference.
Methods |
beginDraw() | Sets the default properties for a PGraphics object
endDraw() | Finalizes the rendering of a PGraphics object
Constructor |
    PGraphics()
Related | createGraphics()

Updated on October 26, 2013 08:58:32pm PDT